VerticalTrack(3)

NAME
VerticalTrack - Vertical track managment.

SYNOPSIS

Inherits Track.

  Public Member Functions
virtual bool isHorizontal () const
virtual bool isVertical () const
virtual unsigned int getDirection () const
virtual Point getPosition (DbU::Unit coordinate) const

  Additional Inherited Members

Detailed Description

Vertical track managment.

Member Function Documentation

  bool isHorizontal () const [virtual]
Returns: true if the Track in horizontal direction.

Implements Track.

  bool isVertical () const [virtual]
Returns: false.

Returns: true.

Implements Track.

  unsigned int getDirection () const [virtual]
Returns: Katabatic::KbVertical.

Implements Track.

  Point getPosition (DbU::Unit position) const [virtual]
Returns: the point at (getAxis(),position).

Implements Track.

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.